1

I am installing Magento 2.4 with my (Magento 2.3 Database), but Now I am getting this error, anyone can guide me or give me any solution how to I can fix this issue ? Please check below screenshot.

Thanks & Regards

enter image description here

1
  • 1
    yes MYSQL has been depricated in 2.4.0 so it uses elastic search 7 as a default search engine you need to configure elatic search... also if your upgrading from 2.3.5 its better to configure elastic search before upgrading to 2.4.0 as in 2.4.0 its requires an alive node and will not work
    – Pramod
    Sep 30 '20 at 19:09
0

Finally I found solution for this issue: below command is working fine for me.

php bin/magento setup:install --base-url=http://localhost/fakshop/ --db-host=localhost --db-name=fakshop --db-user=root --admin-firstname=admin --admin-lastname=admin2 --admin-email=test@email.com --admin-user=admin --admin-password=testing123 --language=en_US --currency=AED --timezone=America/Sao_Paulo --use-rewrites=1 --search-engine=elasticsearch7 --elasticsearch-host=127.0.0.1 --elasticsearch-port=9200

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.